package time_test
import (
	πg "grumpy"
	π_grumpyΓlibΓtime "grumpy/lib/time"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßtime := πg.InternStr("time")
	var πTemp001 *πg.Object
	_ = πTemp001
	var πTemp002 []*πg.Object
	_ = πTemp002
	var πTemp003 *πg.Object
	_ = πTemp003
	var πTemp004 *πg.Object
	_ = πTemp004
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 15: import time
		πF.SetLineno(15)
		if πTemp002, πE = πg.ImportModule(πF, "time", []*πg.Code{π_grumpyΓlibΓtime.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßtime.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 17: assert time.time() > 1000000000
		πF.SetLineno(17)
		if πTemp003, πE = πg.ResolveGlobal(πF, ßtime); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp003, ßtime, nil); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp004.Call(πF, nil, nil); πE != nil {
			continue
		}
		if πTemp001, πE = πg.GT(πF, πTemp003, πg.NewInt(1000000000).ToObject()); πE != nil {
			continue
		}
		if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
			continue
		}
		// line 18: assert time.time() < 3000000000
		πF.SetLineno(18)
		if πTemp003, πE = πg.ResolveGlobal(πF, ßtime); πE != nil {
			continue
		}
		if πTemp004, πE = πg.GetAttr(πF, πTemp003, ßtime, nil); πE != nil {
			continue
		}
		if πTemp003, πE = πTemp004.Call(πF, nil, nil); πE != nil {
			continue
		}
		if πTemp001, πE = πg.LT(πF, πTemp003, πg.NewInt(3000000000).ToObject()); πE != nil {
			continue
		}
		if πE = πg.Assert(πF, πTemp001, nil); πE != nil {
			continue
		}
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "lib/time_test.py", nil, 0, initModule)
}
